Bug 246305 - mail/libvmime: fails to build
Summary: mail/libvmime: fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-08 12:44 UTC by Mohammad S. Babaei
Modified: 2020-07-11 07:54 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2020-05-08 12:44:49 UTC
Building CXX object CMakeFiles/vmime-static.dir/src/vmime/charsetConverter_icu.cpp.o
/usr/local/libexec/ccache/c++   -I/usr/ports/mail/libvmime/work/vmime-0.9.2 -I/usr/ports/mail/libvmime/work/vmime-0.9.2/src -I/usr/ports/mail/libvmime/work/.build/src -I/usr/local/include -O2 -pipe -march=nehalem -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing  -DLIBICONV_PLUG -fvisibility=hidden -fvisibility-inlines-hidden -std=c++11 -stdlib=libc++ -D_REENTRANT=1 -W -Wall -pedantic -Warray-bounds-pointer-arithmetic -Wold-style-cast -Wconversion -Wcast-align -Wno-sign-conversion -O2   -DVMIME_STATIC -o CMakeFiles/vmime-static.dir/src/vmime/charsetConverter_icu.cpp.o -c /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp
--- CMakeFiles/vmime.dir/all ---
[  0%] Building CXX object CMakeFiles/vmime.dir/src/vmime/charsetConverter_icu.cpp.o
/usr/local/libexec/ccache/c++  -Dvmime_EXPORTS -I/usr/ports/mail/libvmime/work/vmime-0.9.2 -I/usr/ports/mail/libvmime/work/vmime-0.9.2/src -I/usr/ports/mail/libvmime/work/.build/src -I/usr/local/include -O2 -pipe -march=nehalem -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing  -DLIBICONV_PLUG -fvisibility=hidden -fvisibility-inlines-hidden -std=c++11 -stdlib=libc++ -D_REENTRANT=1 -W -Wall -pedantic -Warray-bounds-pointer-arithmetic -Wold-style-cast -Wconversion -Wcast-align -Wno-sign-conversion -O2 -fPIC   -DVMIME_SHARED -o CMakeFiles/vmime.dir/src/vmime/charsetConverter_icu.cpp.o -c /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp
--- CMakeFiles/vmime-static.dir/all ---
--- CMakeFiles/vmime-static.dir/src/vmime/component.cpp.o ---
[  0%] Building CXX object CMakeFiles/vmime-static.dir/src/vmime/component.cpp.o
/usr/local/libexec/ccache/c++   -I/usr/ports/mail/libvmime/work/vmime-0.9.2 -I/usr/ports/mail/libvmime/work/vmime-0.9.2/src -I/usr/ports/mail/libvmime/work/.build/src -I/usr/local/include -O2 -pipe -march=nehalem -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing  -DLIBICONV_PLUG -fvisibility=hidden -fvisibility-inlines-hidden -std=c++11 -stdlib=libc++ -D_REENTRANT=1 -W -Wall -pedantic -Warray-bounds-pointer-arithmetic -Wold-style-cast -Wconversion -Wcast-align -Wno-sign-conversion -O2   -DVMIME_STATIC -o CMakeFiles/vmime-static.dir/src/vmime/component.cpp.o -c /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/component.cpp
--- CMakeFiles/vmime-static.dir/src/vmime/charsetConverter_icu.cpp.o ---
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:52:
In file included from /usr/local/include/unicode/ucnv_err.h:88:
/usr/local/include/unicode/utypes.h:692:54: warning: use of old-style cast [-Wold-style-cast]
    inline UBool U_SUCCESS(UErrorCode code) { return (UBool)(code<=U_ZERO_ERROR); }
                                                     ^      ~~~~~~~~~~~~~~~~~~~~
/usr/local/include/unicode/utypes.h:698:54: warning: use of old-style cast [-Wold-style-cast]
    inline UBool U_FAILURE(UErrorCode code) { return (UBool)(code>U_ZERO_ERROR); }
                                                     ^      ~~~~~~~~~~~~~~~~~~~
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
In file included from /usr/local/include/unicode/uenum.h:23:
/usr/local/include/unicode/localpointer.h:67:1: error: templates must have C++ linkage
template<typename T>
^~~~~~~~~~~~~~~~~~~~
/usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:37:1: note: extern "C" language linkage specification begins here
extern "C"
^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
In file included from /usr/local/include/unicode/uenum.h:23:
/usr/local/include/unicode/localpointer.h:190:1: error: templates must have C++ linkage
template<typename T>
^~~~~~~~~~~~~~~~~~~~
/usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:37:1: note: extern "C" language linkage specification begins here
extern "C"
^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
In file included from /usr/local/include/unicode/uenum.h:23:
/usr/local/include/unicode/localpointer.h:191:29: error: unknown template name 'LocalPointerBase'
class LocalPointer : public LocalPointerBase<T> {
                            ^
/usr/local/include/unicode/localpointer.h:365:1: error: templates must have C++ linkage
template<typename T>
^~~~~~~~~~~~~~~~~~~~
/usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:37:1: note: extern "C" language linkage specification begins here
extern "C"
^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
In file included from /usr/local/include/unicode/uenum.h:23:
/usr/local/include/unicode/localpointer.h:366:27: error: unknown template name 'LocalPointerBase'
class LocalArray : public LocalPointerBase<T> {
                          ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: unknown template name 'LocalPointerBase'
U_DEFINE_LOCAL_OPEN_POINTER(LocalUEnumerationPointer, UEnumeration, uenum_close);
^
/usr/local/include/unicode/localpointer.h:551:42: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
    class LocalPointerClassName : public LocalPointerBase<Type> { \
                                         ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: using declaration requires a qualified name
/usr/local/include/unicode/localpointer.h:553:15: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        using LocalPointerBase<Type>::operator*; \
              ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected ';' after using declaration
/usr/local/include/unicode/localpointer.h:553:31: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        using LocalPointerBase<Type>::operator*; \
                              ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: using declaration requires a qualified name
/usr/local/include/unicode/localpointer.h:554:15: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        using LocalPointerBase<Type>::operator->; \
              ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected ';' after using declaration
/usr/local/include/unicode/localpointer.h:554:31: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        using LocalPointerBase<Type>::operator->; \
                              ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected '(' or '{'
/usr/local/include/unicode/localpointer.h:555:72: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        explicit LocalPointerClassName(Type *p=NULL) : LocalPointerBase<Type>(p) {} \
                                                                       ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: warning: unused parameter 'p' [-Wunused-parameter]
/usr/local/include/unicode/localpointer.h:555:46: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        explicit LocalPointerClassName(Type *p=NULL) : LocalPointerBase<Type>(p) {} \
                                             ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected '(' or '{'
/usr/local/include/unicode/localpointer.h:557:35: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
                : LocalPointerBase<Type>(src.ptr) { \
                                  ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: no member named 'ptr' in 'icu::LocalUEnumerationPointer'
U_DEFINE_LOCAL_OPEN_POINTER(LocalUEnumerationPointer, UEnumeration, uenum_close);
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/unicode/localpointer.h:558:17: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
            src.ptr=NULL; \
            ~~~ ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected '(' or '{'
/usr/local/include/unicode/localpointer.h:562:35: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
                : LocalPointerBase<Type>(p.release()) {} \
                                  ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: warning: unused parameter 'p' [-Wunused-parameter]
/usr/local/include/unicode/localpointer.h:561:90: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        explicit LocalPointerClassName(std::unique_ptr<Type, decltype(&closeFunction)> &&p) \
                                                                                         ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'ptr'
/usr/local/include/unicode/localpointer.h:563:40: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        ~LocalPointerClassName() { if (ptr != NULL) { closeFunction(ptr); } } \
                                       ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'ptr'
/usr/local/include/unicode/localpointer.h:563:69: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        ~LocalPointerClassName() { if (ptr != NULL) { closeFunction(ptr); } } \
                                                                    ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'ptr'
/usr/local/include/unicode/localpointer.h:565:17: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
            if (ptr != NULL) { closeFunction(ptr); } \
                ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'ptr'
/usr/local/include/unicode/localpointer.h:565:46: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
            if (ptr != NULL) { closeFunction(ptr); } \
                                             ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'LocalPointerBase'
/usr/local/include/unicode/localpointer.h:566:13: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
            LocalPointerBase<Type>::ptr=src.ptr; \
            ^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
4 warnings and 20 errors generated.
*** [CMakeFiles/vmime-static.dir/src/vmime/charsetConverter_icu.cpp.o] Error code 1

make[3]: stopped in /usr/ports/mail/libvmime/work/.build
--- CMakeFiles/vmime.dir/all ---
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:52:
In file included from /usr/local/include/unicode/ucnv_err.h:88:
/usr/local/include/unicode/utypes.h:692:54: warning: use of old-style cast [-Wold-style-cast]
    inline UBool U_SUCCESS(UErrorCode code) { return (UBool)(code<=U_ZERO_ERROR); }
                                                     ^      ~~~~~~~~~~~~~~~~~~~~
/usr/local/include/unicode/utypes.h:698:54: warning: use of old-style cast [-Wold-style-cast]
    inline UBool U_FAILURE(UErrorCode code) { return (UBool)(code>U_ZERO_ERROR); }
                                                     ^      ~~~~~~~~~~~~~~~~~~~
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
In file included from /usr/local/include/unicode/uenum.h:23:
/usr/local/include/unicode/localpointer.h:67:1: error: templates must have C++ linkage
template<typename T>
^~~~~~~~~~~~~~~~~~~~
/usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:37:1: note: extern "C" language linkage specification begins here
extern "C"
^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
In file included from /usr/local/include/unicode/uenum.h:23:
/usr/local/include/unicode/localpointer.h:190:1: error: templates must have C++ linkage
template<typename T>
^~~~~~~~~~~~~~~~~~~~
/usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:37:1: note: extern "C" language linkage specification begins here
extern "C"
^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
In file included from /usr/local/include/unicode/uenum.h:23:
/usr/local/include/unicode/localpointer.h:191:29: error: unknown template name 'LocalPointerBase'
class LocalPointer : public LocalPointerBase<T> {
                            ^
/usr/local/include/unicode/localpointer.h:365:1: error: templates must have C++ linkage
template<typename T>
^~~~~~~~~~~~~~~~~~~~
/usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:37:1: note: extern "C" language linkage specification begins here
extern "C"
^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
In file included from /usr/local/include/unicode/uenum.h:23:
/usr/local/include/unicode/localpointer.h:366:27: error: unknown template name 'LocalPointerBase'
class LocalArray : public LocalPointerBase<T> {
                          ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: unknown template name 'LocalPointerBase'
U_DEFINE_LOCAL_OPEN_POINTER(LocalUEnumerationPointer, UEnumeration, uenum_close);
^
/usr/local/include/unicode/localpointer.h:551:42: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
    class LocalPointerClassName : public LocalPointerBase<Type> { \
                                         ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: using declaration requires a qualified name
/usr/local/include/unicode/localpointer.h:553:15: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        using LocalPointerBase<Type>::operator*; \
              ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected ';' after using declaration
/usr/local/include/unicode/localpointer.h:553:31: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        using LocalPointerBase<Type>::operator*; \
                              ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: using declaration requires a qualified name
/usr/local/include/unicode/localpointer.h:554:15: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        using LocalPointerBase<Type>::operator->; \
              ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected ';' after using declaration
/usr/local/include/unicode/localpointer.h:554:31: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        using LocalPointerBase<Type>::operator->; \
                              ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected '(' or '{'
/usr/local/include/unicode/localpointer.h:555:72: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        explicit LocalPointerClassName(Type *p=NULL) : LocalPointerBase<Type>(p) {} \
                                                                       ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: warning: unused parameter 'p' [-Wunused-parameter]
/usr/local/include/unicode/localpointer.h:555:46: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        explicit LocalPointerClassName(Type *p=NULL) : LocalPointerBase<Type>(p) {} \
                                             ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected '(' or '{'
/usr/local/include/unicode/localpointer.h:557:35: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
                : LocalPointerBase<Type>(src.ptr) { \
                                  ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: no member named 'ptr' in 'icu::LocalUEnumerationPointer'
U_DEFINE_LOCAL_OPEN_POINTER(LocalUEnumerationPointer, UEnumeration, uenum_close);
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/unicode/localpointer.h:558:17: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
            src.ptr=NULL; \
            ~~~ ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: expected '(' or '{'
/usr/local/include/unicode/localpointer.h:562:35: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
                : LocalPointerBase<Type>(p.release()) {} \
                                  ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: warning: unused parameter 'p' [-Wunused-parameter]
/usr/local/include/unicode/localpointer.h:561:90: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        explicit LocalPointerClassName(std::unique_ptr<Type, decltype(&closeFunction)> &&p) \
                                                                                         ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'ptr'
/usr/local/include/unicode/localpointer.h:563:40: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        ~LocalPointerClassName() { if (ptr != NULL) { closeFunction(ptr); } } \
                                       ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'ptr'
/usr/local/include/unicode/localpointer.h:563:69: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
        ~LocalPointerClassName() { if (ptr != NULL) { closeFunction(ptr); } } \
                                                                    ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
                                                                    ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'ptr'
/usr/local/include/unicode/localpointer.h:565:17: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
            if (ptr != NULL) { closeFunction(ptr); } \
                ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'ptr'
/usr/local/include/unicode/localpointer.h:565:46: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
            if (ptr != NULL) { closeFunction(ptr); } \
                                             ^
In file included from /usr/ports/mail/libvmime/work/vmime-0.9.2/src/vmime/charsetConverter_icu.cpp:41:
In file included from /usr/local/include/unicode/ucnv.h:53:
/usr/local/include/unicode/uenum.h:68:1: error: use of undeclared identifier 'LocalPointerBase'
/usr/local/include/unicode/localpointer.h:566:13: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
            LocalPointerBase<Type>::ptr=src.ptr; \
            ^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
4 warnings and 20 errors generated.
*** [CMakeFiles/vmime.dir/src/vmime/charsetConverter_icu.cpp.o] Error code 1

make[3]: stopped in /usr/ports/mail/libvmime/work/.build
1 error

make[3]: stopped in /usr/ports/mail/libvmime/work/.build
*** [CMakeFiles/vmime.dir/all] Error code 2

make[2]: stopped in /usr/ports/mail/libvmime/work/.build
--- CMakeFiles/vmime-static.dir/all ---
1 error

make[3]: stopped in /usr/ports/mail/libvmime/work/.build
*** [CMakeFiles/vmime-static.dir/all] Error code 2

make[2]: stopped in /usr/ports/mail/libvmime/work/.build
2 errors

make[2]: stopped in /usr/ports/mail/libvmime/work/.build
*** [all] Error code 2

make[1]: stopped in /usr/ports/mail/libvmime/work/.build
1 error

make[1]: stopped in /usr/ports/mail/libvmime/work/.build
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/libvmime
Comment 1 Li-Wen Hsu freebsd_committer 2020-06-16 11:34:57 UTC
Over to maintainer.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-07-08 20:03:19 UTC
It seems that the build fails when devel/icu is installed.
Please apply the patch [1] and try again.

[1] https://people.FreeBSD.org/~sunpoet/patch/mail-libvmime.txt
Comment 3 commit-hook freebsd_committer 2020-07-11 07:50:17 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Jul 11 07:48:56 UTC 2020
New revision: 541950
URL: https://svnweb.freebsd.org/changeset/ports/541950

Log:
  Fix build when devel/icu is installed

  PR:		246305
  Reported by:	Mohammad S. Babaei <info@babaei.net>

Changes:
  head/mail/libvmime/files/patch-CMakeLists.txt
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-07-11 07:54:05 UTC
Committed. Thanks!